"use strict";

var _interopRequireWildcard = require("@babel/runtime/helpers/interopRequireWildcard");

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));

var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));

var _inherits2 = _interopRequireDefault(require("@babel/runtime/helpers/inherits"));

var _possibleConstructorReturn2 = _interopRequireDefault(require("@babel/runtime/helpers/possibleConstructorReturn"));

var _getPrototypeOf2 = _interopRequireDefault(require("@babel/runtime/helpers/getPrototypeOf"));

var _react = _interopRequireWildcard(require("react"));

var _hls = _interopRequireDefault(require("hls.js"));

function _createSuper(Derived) { var hasNativeReflectConstruct = _isNativeReflectConstruct(); return function _createSuperInternal() { var Super = (0, _getPrototypeOf2["default"])(Derived), result; if (hasNativeReflectConstruct) { var NewTarget = (0, _getPrototypeOf2["default"])(this).constructor; result = Reflect.construct(Super, arguments, NewTarget); } else { result = Super.apply(this, arguments); } return (0, _possibleConstructorReturn2["default"])(this, result); }; }

function _isNativeReflectConstruct() { if (typeof Reflect === "undefined" || !Reflect.construct) return false; if (Reflect.construct.sham) return false; if (typeof Proxy === "function") return true; try { Boolean.prototype.valueOf.call(Reflect.construct(Boolean, [], function () {})); return true; } catch (e) { return false; } }

var HLSSource = /*#__PURE__*/function (_Component) {
  (0, _inherits2["default"])(HLSSource, _Component);

  var _super = _createSuper(HLSSource);

  function HLSSource(props) {
    var _this;

    (0, _classCallCheck2["default"])(this, HLSSource);
    _this = _super.call(this, props);
    _this.hls = new _hls["default"]();
    return _this;
  }

  (0, _createClass2["default"])(HLSSource, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      // `src` is the property get from this component
      // `video` is the property insert from `Video` component
      // `video` is the html5 video element
      var _this$props = this.props,
          src = _this$props.src,
          video = _this$props.video; // load hls video source base on hls.js

      if (_hls["default"].isSupported()) {
        this.hls.loadSource(src);
        this.hls.attachMedia(video);
        this.hls.on(_hls["default"].Events.MANIFEST_PARSED, function () {// video.play();
        });
      }
    }
  }, {
    key: "componentWillUnmount",
    value: function componentWillUnmount() {
      // destroy hls video source
      if (this.hls) {
        this.hls.destroy();
      }
    }
  }, {
    key: "render",
    value: function render() {
      return /*#__PURE__*/_react["default"].createElement("source", {
        src: this.props.src,
        type: this.props.type || 'application/x-mpegURL'
      });
    }
  }]);
  return HLSSource;
}(_react.Component);

exports["default"] = HLSSource;